local video = love.graphics.newVideo("bgv1.ogv", {audio="true"})
local last = 0

function love.load()
   love.window.setMode(1280,720)
end

function love.update(dt)
   last = last + dt
   if not video:isPlaying() then
      video:seek(0)
	  video:play()
   end   
end

function love.draw()
   love.graphics.draw(video, 0,0,0, 1280/1920)
   love.graphics.print("isPlaying: " .. tostring(video:isPlaying()), 10, 10)
   love.graphics.print("Position:".. video:tell(), 10, 30)
   love.graphics.print("Length (audio):"..video:getSource():getDuration(), 10, 50)
   love.graphics.print("Time since forced video:play():".. last, 10, 70)
end


function love.keyreleased( key, scancode )
  video:seek(0)
  video:play() 
  last = 0
end